%define anolis_release 2

%global pypi_name pluggy

# Turn the tests off when bootstrapping Python, because pytest requires pluggy
%bcond_without tests

Name:           python-pluggy
Version:        1.0.0
Release:        %{anolis_release}%{?dist}
Summary:        The plugin manager stripped of pytest specific details

License:        MIT
URL:            https://github.com/pytest-dev/pluggy
Source0:        %{pypi_source}


BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools_scm
%if %{with tests}
BuildRequires:  python3-pytest
%endif

%global _description\
The plugin manager stripped of pytest specific details.

%description %_description

%package -n python3-%{pypi_name}
Summary:  %summary

%description -n python3-%{pypi_name}
The plugin manager stripped of pytest specific details.

%package -n     python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install

%if %{with tests}
%check
# TODO investigate test_load_setuptools_instantiation failure
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest testing -k "not test_load_setuptools_instantiation"
%endif


%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/
%license LICENSE

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.0.0-2
- Rebuild with python3.11

* Fri Mar 17 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.0-1
- Init upstream from version 1.0.0
